Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.utils
Class SystemProperty.Environment

    java.lang.Object
      com.google.appengine.api.utils.SystemProperty
          com.google.appengine.api.utils.SystemProperty.Environment

Enclosing class:
  SystemProperty

    public static class SystemProperty.Environment

extends SystemProperty

The current executing environment. Has the key, `"com.google.appengine.runtime.environment"`. The set of values are specified in the `Value` enum.

Nested Class Summary
`static class` | `SystemProperty.Environment.Value` The set of possible values for Environment.

Nested classes/interfaces inherited from class com.google.appengine.api.utils.SystemProperty
`SystemProperty.Environment`

Field Summary

Fields inherited from class com.google.appengine.api.utils.SystemProperty
`applicationId, applicationVersion, environment, instanceReplicaId, version`

Method Summary
`void` | `set(SystemProperty.Environment.Value value)` Sets the Environment to `value`.
`SystemProperty.Environment.Value` | `value()` Returns the Value that the SystemProperty is set to.

Methods inherited from class com.google.appengine.api.utils.SystemProperty
`get, key, set`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### value

    public SystemProperty.Environment.Value value()

  Returns the Value that the SystemProperty is set to.

  Returns:
    null if the Environment is not set, or is set to a value that does not correspond to any predefined `Value`.

### set

    public void set(SystemProperty.Environment.Value value)

  Sets the Environment to `value`. Equivalent to `set(value.value())`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD